﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Toth.WLW.Plugins
{
    /// <summary>
    /// Interaction logic for StatusControl.xaml
    /// </summary>
    public partial class StatusControl : UserControl
    {
        public StatusControl()
        {
            InitializeComponent();
        }

        public BlogItemControl AddBlogItem(string blogTitle)
        {
            BlogItemControl itemControl = new BlogItemControl(blogTitle);
            panelBlogs.Children.Add(itemControl);
            return itemControl;
        }

        public BlogItemControl AddPingItem(string pingMethod)
        {
            BlogItemControl itemControl = new BlogItemControl(pingMethod);
            panelPingFM.Children.Add(itemControl);
            return itemControl;
        }

        public ProgressBar BlogProgressBar
        {
            get
            {
                return progressBarBlogs;
            }
        }

        public ProgressBar PingProgressBar
        {
            get
            {
                return progressBarPingFM;
            }
        }

        public GroupBox BlogGroupBox
        {
            get
            {
                return groupBoxBlogs;
            }
        }

        public GroupBox PingGroupBox
        {
            get
            {
                return groupBoxPingFM;
            }
        }

        public StackPanel BlogPanel
        {
            get
            {
                return panelBlogs;
            }
        }

        public StackPanel PingPanel
        {
            get
            {
                return panelPingFM;
            }
        }

        private void Image_ImageFailed(object sender, ExceptionRoutedEventArgs e)
        {

        }

    }
}
